<?xml version="1.0" encoding="gb2312" ?>
<xs:schema targetNamespace="http://www.h3c.com/netconf/action:1.0"
                  elementFormDefault="qualified"
                  xmlns:base="http://www.h3c.com/netconf/base:1.0"
                  xmlns="http://www.h3c.com/netconf/action:1.0"
                  xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:import namespace="http://www.h3c.com/netconf/base:1.0" schemaLocation="basetype.xsd"></xs:import>
  <xs:annotation>
    <xs:documentation>MQC action definition</xs:documentation>
  </xs:annotation>

  <xs:complexType name="MQC_Direction">
    <xs:simpleContent >
      <xs:restriction base="base:UnsignedInteger32">
        <xs:annotation>
          <xs:documentation>Enumeration: 1(inbound) 2(outbound)</xs:documentation>
        </xs:annotation>
        <xs:enumeration value="0" />
        <xs:enumeration value="1" />
      </xs:restriction>
    </xs:simpleContent>
  </xs:complexType>
  <xs:complexType name="MQC_VLANID">
    <xs:simpleContent>
      <xs:restriction base="base:UnsignedInteger32">
        <xs:minInclusive value ="1"></xs:minInclusive>
        <xs:maxInclusive value ="4094"></xs:maxInclusive>
      </xs:restriction>
    </xs:simpleContent>
  </xs:complexType>

  <xs:element name="MQC">
    <xs:complexType>
      <xs:choice maxOccurs="unbounded">
        <xs:element name="ClearGlobalStatistic">
          <xs:annotation>
            <xs:documentation>Reset global application statistic</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="Application">
                <xs:annotation>
                  <xs:documentation>Application</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                    <xs:element name="Direction" type="MQC_Direction" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>Direction. 1: inbound, 2: outbound.</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="Clear" type="xs:string" fixed="">
                      <xs:annotation>
                        <xs:documentation>Clear action</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                  </xs:all>
                </xs:complexType>
              </xs:element>
            </xs:choice>
          </xs:complexType>
        </xs:element>
        <xs:element name="ClearVlanStatistic">
          <xs:annotation>
            <xs:documentation>Reset VLAN application statistic</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="Application">
                <xs:annotation>
                  <xs:documentation>Application</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                    <xs:element name="VLANID" type="MQC_VLANID" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>VLAN ID.</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="Direction" type="MQC_Direction" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>Direction. 1: inbound, 2: outbound.</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="Clear" type="xs:string" fixed="">
                      <xs:annotation>
                        <xs:documentation>Clear action</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                  </xs:all>
                </xs:complexType>
              </xs:element>
            </xs:choice>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
  </xs:element>
</xs:schema>
